import axios from 'axios'
import myConfig from '@/assets/js/config.ts'
// 创建 axios 实例
const service = axios.create({
	baseURL: myConfig.requestCtx,
	timeout: myConfig.requestTimeOut, // 请求超时时间
})

// 请求拦截器
// app-6MPX5Fr97eK6BWHpy8g7vddd

service.interceptors.request.use(
	(config) => {
		const token = 'app-TmoRR8VCs9nNEb9CxVpyIDcb'
		if (token) config.headers['Authorization'] = `Bearer ${token}`
		config.headers['Content-Type'] = 'application/json;charset=utf-8'
		return config
	},
	(error) => {
		// 发送失败
		Promise.reject(error)
	},
)

// 响应拦截器
service.interceptors.response.use(
	(response) => {
		if (response.status == 200 && response.statusText == 'OK') {
			return response.data
		}
	},
	(error) => {
		if (error.response && error.response.data && error.response.data.error) {
			console.error(error.response.data.error.msg)
		} else {
			console.error('请求发生错误')
		}
		return Promise.reject(error)
	},
)

export default service
